The Supplier Group object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

parent_id string
is_group boolean

Default: false

supplier_group_name string required
parent_supplier_group string
payment_terms string
The Supplier Group object
{
  "id": "supplier-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "supplier_group_name": "supplier_group_name_example",
  "parent_supplier_group": "parent_supplier_group_example",
  "payment_terms": "payment_terms_example"
}
GET /api/setup/supplier-group/{id}

Retrieve a supplier group

Retrieves the details of an existing supplier group. Supply the unique supplier group ID that was returned from a previous request.

Path parameters

id string required

The identifier of the supplier group to retrieve.

Returns

Returns the supplier group object if a valid identifier was provided.

GET /api/setup/supplier-group/{id}
curl https://api.overplane.dev/api/setup/supplier-group/supplier-group_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "supplier-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "supplier_group_name": "supplier_group_name_example",
  "parent_supplier_group": "parent_supplier_group_example",
  "payment_terms": "payment_terms_example"
}
GET /api/setup/supplier-group

List all supplier groups

Returns a list of supplier groups. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of supplier group objects.

GET /api/setup/supplier-group
curl https://api.overplane.dev/api/setup/supplier-group \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "supplier-group_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "parent_id": null,
      "is_group": false,
      "supplier_group_name": "supplier_group_name_example",
      "parent_supplier_group": "parent_supplier_group_example",
      "payment_terms": "payment_terms_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/setup/supplier-group

Create a supplier group

Creates a new supplier group object.

Body parameters

parent_id string
is_group boolean

Default: false

supplier_group_name string required
parent_supplier_group string
payment_terms string

Returns

Returns the newly created supplier group object if the call succeeded.

POST /api/setup/supplier-group
curl https://api.overplane.dev/api/setup/supplier-group \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"supplier_group_name":"supplier_group_name_example"}'
Response
{
  "id": "supplier-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "supplier_group_name": "supplier_group_name_example",
  "parent_supplier_group": "parent_supplier_group_example",
  "payment_terms": "payment_terms_example"
}
PATCH /api/setup/supplier-group/{id}

Update a supplier group

Updates the specified supplier group by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the supplier group to update.

Body parameters

parent_id string
is_group boolean

Default: false

supplier_group_name string
parent_supplier_group string
payment_terms string

Returns

Returns the updated supplier group object.

PATCH /api/setup/supplier-group/{id}
curl https://api.overplane.dev/api/setup/supplier-group/supplier-group_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"is_group":false}'
Response
{
  "id": "supplier-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "supplier_group_name": "supplier_group_name_example",
  "parent_supplier_group": "parent_supplier_group_example",
  "payment_terms": "payment_terms_example"
}
DELETE /api/setup/supplier-group/{id}

Delete a supplier group

Permanently deletes a supplier group. This cannot be undone.

Path parameters

id string required

The identifier of the supplier group to delete.

Returns

Returns a confirmation that the supplier group has been deleted.

DELETE /api/setup/supplier-group/{id}
curl https://api.overplane.dev/api/setup/supplier-group/supplier-group_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "supplier-group_abc123",
  "deleted": true
}
GET /api/setup/supplier-group/{id}/children

Get children

Returns the direct children of the specified node in the tree.

Path parameters

id string required

The identifier of the supplier group to act on.

Returns

A list of direct child objects.

GET /api/setup/supplier-group/{id}/children
curl https://api.overplane.dev/api/setup/supplier-group/supplier-group_abc123/children \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "supplier-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "supplier_group_name": "supplier_group_name_example",
  "parent_supplier_group": "parent_supplier_group_example",
  "payment_terms": "payment_terms_example"
}
GET /api/setup/supplier-group/{id}/ancestors

Get ancestors

Returns all ancestors from the immediate parent up to the root of the tree.

Path parameters

id string required

The identifier of the supplier group to act on.

Returns

A list of ancestor objects from parent to root.

GET /api/setup/supplier-group/{id}/ancestors
curl https://api.overplane.dev/api/setup/supplier-group/supplier-group_abc123/ancestors \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "supplier-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "supplier_group_name": "supplier_group_name_example",
  "parent_supplier_group": "parent_supplier_group_example",
  "payment_terms": "payment_terms_example"
}
GET /api/setup/supplier-group/{id}/descendants

Get descendants

Returns all descendants of the specified node in the tree.

Path parameters

id string required

The identifier of the supplier group to act on.

Returns

A list of all descendant objects.

GET /api/setup/supplier-group/{id}/descendants
curl https://api.overplane.dev/api/setup/supplier-group/supplier-group_abc123/descendants \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "supplier-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "supplier_group_name": "supplier_group_name_example",
  "parent_supplier_group": "parent_supplier_group_example",
  "payment_terms": "payment_terms_example"
}